<?php
/**
 * The template for displaying Search Results
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Starter_One
 */

get_header(); 

/*reqiured for pagination  */
global $query_string;
//$search_query = wp_parse_str( $query_string );
//$search = new WP_Query( $search_query );

 $url = $_SERVER['REQUEST_URI']; 
 $url_parts = parse_url($url);
parse_str($url_parts['query'], $query_parts);

$queried_year = $query_parts['year'];
$queried_tag = $query_parts['tag'];
$queried_type = $query_parts['type'];

$s_post_cats = array('backgrounders','events','op-eds','media-releases');

if($queried_type != "" && in_array($queried_type, $s_post_cats )) {
	$q_cat = get_term_by( 'slug', $queried_type, 'category');

	$show_queried_type = $q_cat->name .' with the term ';
}

if($queried_type != "" && !in_array($queried_type, $s_post_cats ) ){
	$show_queried_type = get_post_type_object($queried_type)->label .' with the term ';
}

if ($queried_year != "") {
	$show_queried_year = ' published in '. $queried_year;
}

if ($queried_tag != "") {
	$show_queried_tag = ' tagged with "'. ucwords(str_replace("-", " ", $queried_tag)).'"';
}
?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main search" role="main">

		<!--TITLE-->
		<?php
			global $post;
			
			
			$default_bg = get_field('op_default_bg','option');
			$default_bg_pos = get_field('op_default_bg_pos','option');
			$bgimg = $default_bg;
			$bgimg_pos = $default_bg_pos;
				
			$title =  get_the_title();
			?>

		<div class="title-wrap wrapper level columns" style="<?php if($bgimg){echo 'background-image:url('.$bgimg.')!important; background-position: center '.$bgimg_pos.'%!important;';}?>">

			<div class="grid-container container columns">
				
				<?php //Get Titles
				
					include(locate_template('/template-parts/content/title-search.php'));
				
				?>

			</div><!-- .grid-container-->
		</div><!-- .wrapper -->
		
		<!-- CONTENT-->
		<div class="content-wrap wrapper <?php if($pg_hide_title){ echo 'no-title-padding-top';}?>">
				<div class="grid-container container columns">
					
					<div class="main-content column columns is-multiline">
						
						<?php get_template_part('template-parts/partials/search-filters'); ?>
						
						<?php // Get Loops, Content
						
							if ( have_posts() ) : ?>


							<?php
							/* Start the Loop */
							while ( have_posts() ) : the_post();

									//Search content
									get_template_part( 'template-parts/content/content', 'search');
								
								endwhile;
								
								endif;
								
								get_template_part( 'template-parts/content/pagination');
							?>
						
					</div><!-- .main-content-->
					

				</div><!-- .grid-container-->
			</div><!-- .wrapper -->
			
		</main><!-- #main -->
	</div><!-- #primary -->

<?php
get_footer();
