<?php
/**
 * Template part for displaying extended report
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Starter_One
 */

$page_url = get_the_permalink();
?>

<article id="post-<?php the_ID(); ?>" <?php post_class('extended-report-content'); ?>>
	
	<div class="entry-content">

		<!--<span class="title-breadcrumb"><h3><a href="<?php //echo $breadcrumb_url;?>"><?php //echo $breadcrumb_name;?></a></h3></span>-->
		
	
		<?php 
	
		//Key Takeaways
		if( have_rows('report_key_takeaways') ):?> 
		<section class="key-takeaway-section">
			<h2 class="underline"><?php  echo __('Key Takeaways', 'starter_one');?></h2>
			<ul>
			<?php 
			while ( have_rows('report_key_takeaways') ) : the_row();
				$kt_text = get_sub_field('kt_text');
				$kt_tweet = get_sub_field('kt_tweet');
				
				echo '<li><span>'.$kt_text.'</span>';
				if($kt_tweet){ ?>
				
				<span class="kt-tweet a2a_kit" data-a2a-url="<?php echo $page_url;?>" data-a2a-title="<?php echo $kt_text;?>">
					<a class="a2a_button_twitter"><?php echo __('Tweet this', 'starter_one');?></a>
				</span>
				<?php }
				echo '</li>';
		
			endwhile;?>
			</ul>
		</section>
		<?php 
		endif;
		
		//Video
		if(!empty(get_field('post_video'))):
			
			?>
			<section id="report-video" class="report-video-section">
				<?php 
				$post_img = get_the_post_thumbnail_url();
				include(locate_template('/template-parts/partials/post-video.php')); 
				//Share video				
				$video_share_url = get_field('post_video', false, false);
				$report_video_sharing_text = get_field('report_video_sharing_text');
				$video_share_text = (!empty('report_video_sharing_text')) ? $report_video_sharing_text :  __('Watch Video', 'starter_one') .': '.$title;
				?>
				<div class="a2a_kit share-button video-share" data-a2a-url="<?php echo $video_share_url ;?>" data-a2a-title="<?php echo $video_share_text;?>">
					<a class="a2a_dd" href="https://www.addtoany.com/share"><?php echo  __('Share', 'starter_one') ;?></a></a>
				</div>
				
			</section>
		<?php 
		endif;
		
		
		//Content
		?>
		<section id="report-summary" class="columns report-summary-section">
			<div class="column is-12 ">
			
			<h3 class="section-heading"><?php echo __('Executive Summary', 'starter_one');?></h3>
			<div class="entry-meta"><?php echo get_the_date();?></div>
			<?php 
			the_content( sprintf(
				wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'starter_one' ), array( 'span' => array( 'class' => array() ) ) ),
				the_title( '<span class="screen-reader-text">"', '"</span>', false )
			) );?>
			</div>
		</section>
		
		<?php 
		 // Reports  - Download Links 
		if( have_rows('reports_downloads') ): ?>
		<section id="report-downlods" class="fullwidth report-download-section">
			<div class="grid-container columns is-multiline">
			<?php 
			
			$rows = get_field('reports_downloads' ); 
			$main_report	 = $rows[0]; 
			$main_report_title = $main_report['download_title']; 
			$main_report_download_link = $main_report['download']; 
			$download_title_text = (!empty($main_report_title )) ? $main_report_title  : sprintf(__('Read %s now', 'starter_one'), get_the_title());
				
				if(!empty($main_report_download_link)){?>
					<div class="column is-2">
						<a href="<?php echo $main_report_download_link;?>" target="_blank">
							<img class="dl-icon" src="<?php echo get_stylesheet_directory_uri().'/images/download_large_white.svg';?>">
						</a>
					</div>
					<div class="column is-5">
						<div class="inner">
							<h3><?php echo $download_title_text;?></h3>
							<?php 
							$i = 0;
							while ( have_rows('reports_downloads') ) : the_row();
								$i++;
								$download_link = get_sub_field('download');
								$btn_class = ($i > 1) ? 'secondary-btn' : '';
								?>
							
								<a class="button btn <?php echo $btn_class;?>" href="<?php echo $download_link;?>" target="_blank"><?php echo get_sub_field('download_report_text');?></a>
							<?php 
							endwhile; 
							?>
						</div>
					</div>
					<div class="column is-5">
						<?php 
						$cover_image =  get_field('report_cover_image');
						if( !empty( $cover_image ) ): ?>
							<a href="<?php echo $main_report_download_link;?>" target="_blank">
								<img class="report-cover" src="<?php echo esc_url($cover_image['sizes']['medium']); ?>" alt="<?php echo esc_attr($cover_image['alt']); ?>" />
							</a>
						<?php endif; ?>
					</div>
				<?php 
				}
				
				?>
			</div>
		</section>
		<?php 		
		endif;
		
		//Expandable Sections
		/*if( have_rows('report_expandable_sections') ): ?>
		<section id="report-content" class="columns is-multiline report-content-section accordion-sections ">
			<div class="section-heading-container column is-12">
				<h3 class="section-heading"><?php echo get_the_title();?></h3>
			</div>
			<?php 
				$i = 0;
				while ( have_rows('report_expandable_sections') ) : the_row();
				$i++;
				$section_title = get_sub_field('section_title');
				$section_text = get_sub_field('section_text');
				$additional_content = get_sub_field('additional_content');
				?>
				<div class="column is-12">
					<div class="section-title" data-toggle="<?php echo sanitize_title($section_title).'_'.$i;?>">
						<h4><?php echo $section_title;?></h4>
						<span class="toggle"></span>
					</div>
				</div>
				
				<div id="<?php echo sanitize_title($section_title).'_'.$i;?>" class="section-content column is-12" >
					<div class="columns">
						<div class="column">
							<?php echo $section_text;?>
						</div>
						
						<?php 
						//Images
						if($additional_content == 'images'): 
							if( have_rows('images') ): ?>
							
							<div class="column is-6 section-sidebar images-sidebar">
						<?php  
						while ( have_rows('images') ) : the_row();
							$image = get_sub_field('image');
							$image_title = get_sub_field('image_title');
							$social_sharing_text = get_sub_field('social_sharing_text');
							$social_text = (!empty($social_sharing_text)) ? $social_sharing_text : $image_title;
							?>
							<div class="image-container columns is-multiline">
								<div class="column is-6 image-item-title">
									<h5><?php echo $image_title;?></h5>
								</div>
								<div class="column is-6 image-item-buttons">
									<div class="a2a_kit a2a_kit_size_32 a2a_default_style share-button image-item-share" data-a2a-url="<?php echo $image['url'];?>" data-a2a-title="<?php echo $social_text;?>">
										<a class="a2a_dd" href="https://www.addtoany.com/share"><?php echo  __('Share', 'starter_one') ;?></a>
									</div>
									<a class="zoom" href="<?php echo esc_url($image['url']); ?>" data-lightbox="zoom-image" data-title="<?php echo $image_title ;?>"><i class="fa fa-search"></i></a>
								</div>
								<div class="column is-12">
									<a href="<?php echo esc_url($image['url']); ?>"  data-lightbox="image" data-title="<?php echo $image_title ;?>">
										<img class="section-image" src="<?php echo esc_url($image['sizes']['medium']); ?>" alt="<?php echo esc_attr($image['alt']); ?>" />
									</a>
								</div>
							</div>
						<?php 
						endwhile;
						?>
						</div><!--end images sidebar-->
						<?php 
						endif; //end has images
						endif; //end images
				
						//Sidebar
						if($additional_content == 'sidebar'):
						
							$sidebar_title = get_sub_field('sidebar_title');
							$sidebar_content = get_sub_field('sidebar_content');
							
							if( !empty($sidebar_content) ): ?>
						<div class="column is-6 section-sidebar content-sidebar">
						<?php  
							
							?>
							<div class="sidebar-container columns">
								<div class="column is-12">
									<h4 class="sidebar-title"><?php echo $sidebar_title;?></h4>
									<?php echo $sidebar_content ;?>
								</div>
							</div>
						</div><!--end content sidebar-->
						<?php 
						endif; //end has content
						endif;// end sidebar
						?>
					</div>
				</div>
				<?php 
				endwhile; //end sections
				?>
		</section>
		<?php 		
		endif; //end sections
		
		?>
		
		<?php 
		$references = get_field('references');
		if(!empty($references )):?>
		<section id="references" class="references-section accordion-sections">
			<div class="section-title" data-toggle="endnotes">
				<h4><?php echo __('Endnotes', 'starter_one');?></h4>
				<span class="toggle"></span>
			</div>
			<div id="endnotes" class="section-content column is-12" >
				<?php 
				$references =  preg_replace('/<br \/>/', '', $references);
				
				$references_arr = explode("<li>", $references);
				//First element will be empty, so remove it
				unset($references_arr[0]);
				
				echo '<ol>';
				foreach($references_arr as $key => $reference){
					echo '<li id="li_'.$key.'" class="ref"><span id="ref_'.$key.'" class="anchor"></span>'. make_clickable($reference).'</li>';
				}
				echo '</ol>';
				?>
			</div>
		</section>
		<?php 		
		endif; //references */
		?>
		
		
		<?php 
		 // Social Images
		if( have_rows('report_social_section_images') ): 
			$report_social_section_text = get_field('report_social_section_text');
		?>
		<section id="social-images" class="social-images-section columns is-multiline">
			<div class="section-heading-container column is-12">
				<h3 class="section-heading underline"><?php echo __('Share on Social', 'starter_one');?></h3>
				<p><?php echo $report_social_section_text;?></p>
			</div>
			<div class="columns is-multiline column is-12">
			<?php while ( have_rows('report_social_section_images') ) : the_row();
				$image = get_sub_field('image');
				$social_sharing_text = get_sub_field('social_sharing_text');
				$social_text = (!empty($social_sharing_text)) ? $social_sharing_text : get_the_title();
				if( !empty( $image ) ): ?>
					<div class="social-image-container column is-6 is-paddingless">
						<a href="<?php echo $image['url'];?>"  data-lightbox="social-image" data-title="<?php echo $social_text ;?>">
							<img class="social-image" src="<?php echo esc_url($image['sizes']['grid-image']); ?>" alt="<?php echo esc_attr($image['alt']); ?>" />
						</a>
						<div class="a2a_kit a2a_kit_size_32 a2a_default_style share-button image-item-share" data-a2a-url="<?php echo $image['url'];?>" data-a2a-title="<?php echo $social_text;?>">
							<a class="a2a_dd" href="https://www.addtoany.com/share"><?php echo  __('Share', 'starter_one') ;?></a>
						</div>
					</div>
				<?php endif; //image
				
				endwhile; //images
				?>
				</div>
		</section>
		<?php 		
		endif; //images
		
		?>
		
		
	</div><!-- .entry-content -->
	
</article><!-- #post-## -->

<!--Share script -->
<script>
	var a2a_config = a2a_config || {};
	a2a_config.prioritize = [ 'facebook', 'twitter', 'linkedin', 'email', 'reddit' ];
	a2a_config.num_services = 5;
</script>
<script async src="https://static.addtoany.com/menu/page.js"></script>
