<?php
/**
 * Template part for displaying Event Grid Item
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Starter_One
 */

$post_id = get_the_ID();
$cpt_obj = get_post_type_object( 'event' );

//Image

$size = 'grid-image-crop';
$attr = array(
	'src' => $src,
	'class' => "attachment-$size, post-thumbnail",
	'alt' => trim(strip_tags( $attachment->post_excerpt )),
	'title' => trim(strip_tags( $attachment->post_title )),
	);
	
if( get_the_post_thumbnail_url($post_id , $size) != ''){
	$post_img = get_the_post_thumbnail_url($post_id , $size);
} else {
	$post_img = get_the_post_thumbnail_url($post_id , 'full');
}

//Event Meta 
$start_date = get_post_meta($post_id,'_event_start_date',true);
$start_date = date('F jS',strtotime($start_date ));

//Define default width. $col val set in loop. 
if(!isset($col) || empty($col)){
	$col = 'is-6';
} elseif($col == 'flex') {
	$col = '';
}

//Define default excerpt length. $excerpt_length val set in loop. 
if(!isset($excerpt_length) || empty($excerpt_length)) {
	$excerpt_length = '200';
} elseif ($excerpt_length == 'none') {
	$excerpt_length = 0;
}

if(class_exists('acf')){
	$event_badge = get_field('event_badge');
	$event_badge_img = wp_get_attachment_image_src($event_badge, 'full');
}

?>

<article id="post-<?php the_ID(); ?>" <?php post_class('column '. $col); ?>>
	
	<div class="grid-item-content ">
		
		<?php if($event_badge):?>
		<div class="event-badge-container">
			<?php echo '<img src="'.$event_badge_img[0] .'" class="event-badge"></a>'; ?>
		</div>
		<?php endif;?>
		
		<?php if(has_post_thumbnail($post_id )):?>
		<div class="post-thumb-container">
			<?php echo '<a href="'.get_permalink().'"><img src="'.$post_img .'" class="post-thumbnail"></a>'; ?>
		</div>
		<?php endif;?>
		
		<header class="entry-header">
			<h4 class="start-date"><?php echo __('Join us','starter_one'). ' '.$start_date;?></h4>
			<?php the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
		</header><!-- .entry-header -->

		<?php if($excerpt_length != 'none'):?>
			<div class="entry-summary">
				<p><?php echo excerpt_variable_length($post->ID, $excerpt_length); ?></p>
			</div><!-- .entry-summary -->
		<?php endif;?>
		
		<div class="entry-footer">
			<a class="btn" href="<?php echo get_post_type_archive_link('event' );?>"><?php echo $cpt_obj->labels->name;?></a>
		</div>
		

		
	</div>
</article><!-- #post-## -->
