<?php
/**
 * MacilChimp Campaign  Content in Grid Layout
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Starter_One
 */

//Define default width. $col val set in loop. 
if(!isset($col) || empty($col)){
	$col = 'is-4';
} elseif($col == 'flex') {
	$col = '';
}

//image
if($campaign_image) {
	$thumb = $campaign_image; 
} else {
	$thumb = get_stylesheet_directory_uri().'/images/cec-review-default-thumb.jpeg';
}
//Title
if($campaign_title) {
	$campaign_title = $campaign_title; 
} else {
	$campaign_title = 'Clean Energy Review: '. date('M d Y', strtotime($campaign_date));
}
//Excerpt
if($campaign_description) {
	$campaign_description = str_replace("Plus:","",$campaign_description);  
} else {
	$campaign_description = str_replace("Plus:","",$campaign_preview_text);  
}
?>


<article id="campaign-id-<?php echo $campaign_id; ?>" class="mailchimp-campaign column <?php echo $col; ?>">
	
	<div class="grid-item-content">
		
		<div class="post-thumb-container" >
			<a href="<?php echo $campaign_url;?>" target="_blank">
				<img src="<?php echo $thumb;?>">
			</a>
		</div>
		
		<header class="entry-header">
			 <h2 class="entry-title"><a  href="<?php echo $campaign_url;?>" target="_blank" rel="bookmark">
			 <?php echo $campaign_title; ?>
			 </a></h2>
			 <div class="entry-meta">
				<?php echo '<strong>'.__('Clean Energy Review'). '</strong> | '. date('M d Y', strtotime($campaign_date));?>
			</div>
		</header><!-- .entry-header -->
	

		<?php if($campaign_description):?>
			<div class="entry-summary">
				<p><?php echo $campaign_description; ?></p>
			</div><!-- .entry-summary -->
		<?php endif;?>
		
	
			
</article><!-- #post-## -->
