<?php
/**
 * Multimedia Content in Grid Layout
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Starter_One
 */


$post_id = get_the_ID();

//Image Settings
if(!isset($size) || empty($size)){
	$size = 'grid-image-crop';
}

//Get Image
//$post_img_array = custom_get_post_image($post_id , $size);
$post_img = get_the_post_thumbnail_url($post_id, $size);
$inline_style = ' style="background-image:url('.$post_img .')"' ;

//Define default width. $col val set in loop. 
if(!isset($col) || empty($col)){
	$col = 'is-4';
} elseif($col == 'flex') {
	$col = '';
}

//Media Type
$post_is_video = get_post_meta($post_id, 'post_include_video', true);
$gallery_categories = array('photo-essays','infographics');
$post_is_gallery = in_category( $gallery_categories, $post_id );
?>

<article id="post-<?php the_ID(); ?>" <?php post_class('column '. $col); ?>>
	
	<div class="grid-item-content multimedia-item bg-post-thumb">
		
		<?php if(!empty($post_img)):?>
		<div class="post-thumb-container bg-thumb <?php if(isset($image_left ) && $image_left == true) { echo 'column '.$image_left;}?>" >
			<a href="<?php echo get_permalink();?>" <?php echo $inline_style;?>>
			
				<?php //Media type 
					if($post_is_video == true){
						
						//Video
						get_template_part('images/media-video', 'icon.svg');
					
					} elseif ($post_is_gallery == true){
						
						//Gallery
						get_template_part('images/media-gallery', 'icon.svg');
					}
				?>
				<div class="bg-post-title text-bg orange-text-bg">
					<?php if($post_is_video == true){?><span class="title-topper watch"><?php echo __('Watch','starter_one');?></span><br><?php } ?>
					<h2 class="entry-title"><?php echo the_title();?></h2>
				</div>
				
			</a>
		</div>
		<?php endif;?>

	</div>
</article><!-- #post-## -->
