<?php
/**
 * Multimedia Content in Grid Layout
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Starter_One
 */


$post_id = get_the_ID();

//Image Settings
if(!isset($size) || empty($size)){
	$size = 'grid-image';
}

//Get Image
$post_img_url = get_the_post_thumbnail_url($post_id , $size);

if(!empty($post_img_url )){
	$post_img = $post_img_url;
	$default_img_class = '';
} else {
	$post_img = get_stylesheet_directory_uri().'/images/team-default.svg';
	$default_img_class = 'default-img';
}


$inline_style = ' style="background-image:url('.$post_img .')"' ;

//Define default width. $col val set in loop. 
if(!isset($col) || empty($col)){
	$col = 'is-4';
} elseif($col == 'flex') {
	$col = '';
}

//Info
$person_name =  get_the_title();
if(class_exists('acf')){
	$position = get_field('position');
	$advisor_title = get_field('advisor_title');
	$contributor_bio = get_field('contributor_bio');
	$team_bio = get_field('team_bio');
	$twitter = get_field('twitter');
	$email = get_field('email');
}


?>

<article id="post-<?php the_ID(); ?>" <?php post_class('column '. $col.' '.$default_img_class); ?>>
	
	<div class="grid-item-content people-item bg-post-thumb">
		
		
		<?php if(!empty($post_img)):?>
		<div class="post-thumb-container <?php if(isset($image_left ) && $image_left == true) { echo 'column '.$image_left;}?>" >
			<a class="modal-trigger" data-modal-id="people-modal_<?php echo $people_role;?>" <?php echo $inline_style;?>>

				<div class="bg-post-title text-bg">
					<h2 class="entry-title"><?php echo $person_name;?><br><?php echo $position;?></h2>
				</div>
				
			</a>
		</div>
		<div class="bio-content" style="display:none!important; visibility:hidden">
			<?php //Bio Modal Content
				echo'<h3 class="green">'. __('About', 'starter_one').' '. $person_name.'</h3><br> '.$contributor_bio.$team_bio.$advisor_title.'<br>';
				if(!empty($twitter ) || !empty($email)){
					
					echo'<hr><div class="person-contact-container">';
					if(!empty($email )) {
						echo '<a class="person-contact" href="mailto:'.$email.'"><i class="fa fa-envelope"></i> '.$email.'</a>';
					}
					if(!empty($twitter )) {
						echo '<a class="person-contact" href="http://twitter.com/'.$twitter.'" target="_blank"><i class="fa fa-twitter"></i> @'.$twitter.'</a>';
					}
					echo '</div>';
				}
			?>
		</div>
		
		<?php endif;?>

	</div>
</article><!-- #post-## -->
