<?php
/**
 * Post Content in Grid Layout
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Starter_One
 */

if(!is_singular()){
	$post_id = get_the_ID();
} else {
	$post_id = $post->ID;
}
//Post Categories
if ( 'post' === get_post_type() ){
	$categories = get_the_category( $post_id );
	$category_id = $categories[0]->cat_ID;
}
	
//Image Settings
if(!isset($size) || empty($size)){
	$size = 'grid-image-crop';
}

//Video  Post Style
if(get_field('post_include_video', $post_id) === true) {
	$has_video = ' is-video-post bg-post-thumb'; 
	$video_inline_style = ' style="background-image:url('.get_the_post_thumbnail_url() .')"' ;
} else {
	$has_video = '';
	$video_inline_style = '';
}

//Define default width. $col val set in loop. 
if(!isset($col) || empty($col)){
	$col = 'is-4';
} elseif($col == 'flex') {
	$col = '';
}

//Define default excerpt length. $excerpt_length val set in loop. 
if(!isset($excerpt_length) || empty($excerpt_length)) {
	$excerpt_length = '200';
} elseif ($excerpt_length == 'none') {
	$excerpt_length = 0;
}

?>


<article id="post-<?php the_ID(); ?>" <?php post_class('column '. $col); ?>>
	
	<div class="grid-item-content 	<?php if(isset($image_left ) && $image_left == true) { echo 'columns image-left';} echo $has_video; ?>">
		
		<?php if(has_post_thumbnail()):?>
		<div class="post-thumb-container <?php if(isset($image_left ) && $image_left == true) { echo 'column '.$image_left;}?>" >
			<a href="<?php echo get_permalink();?>" <?php echo $video_inline_style;?>>
			
				<?php // Do not displau img if post is video post
				if(get_field('post_include_video', $post_id) != true): ?>
					<?php echo get_the_post_thumbnail($post_id, $size);?>
				<?php 
				endif;?>
				
				<?php 
				//Story 
				if( 'story' == get_post_type()) {
					include(locate_template('/template-parts/partials/story-quote.php'));
				}
				
				//Video
				if(get_field('post_include_video', $post_id) === true): ?>
					
					<div class="video-thumb-overlay"></div>
					<?php get_template_part('images/media-video', 'icon.svg');?>
					
					<div class="bg-post-title  text-bg orange-text-bg">
						<span class="title-topper watch"><?php echo __('Watch','starter_one');?></span><br>
						<h2 class="entry-title"><?php echo the_title();?></h2>
					</div>
					
					
				<?php 
				endif;
				?>
			</a>
			
		</div>
		<?php endif;?>
		
		<?php 
		// Conditional column container for Image Left layout - start
		if(isset($image_left ) && $image_left == true) { echo '<div class="column">';}?>
		
		<?php if(get_field('post_include_video', $post_id) != true): ?>
			<header class="entry-header">
				<?php the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
			</header><!-- .entry-header -->
		<?php endif;?>

		<?php if($excerpt_length != 'none'):?>
			<div class="entry-summary">
				<p><?php echo excerpt_variable_length($post->ID, $excerpt_length); ?></p>
			</div><!-- .entry-summary -->
		<?php endif;?>
		
		<?php // Posted On - Post
			if ( in_array(get_post_type(), array('post','story','report','multimedia')) ) : ?>
			<div class="entry-meta">
			
				<?php // Exclude Author from Report posts
				if( 'report' == get_post_type()) {$hide_author = 1;}?>
				
				<?php 
					$hide_author  = isset($hide_author) ? $hide_author : false;
					$hide_date  = isset($hide_date) ? $hide_date : false;
					
					starter_one_posted_on($hide_author, $hide_date, $post_id); 
				?>
			</div><!-- .entry-meta -->
		<?php endif; ?>
		
		<?php // Reports  - Download Links 
			if ( 'report' === get_post_type()) :
				include(locate_template('/template-parts/partials/reports-download-links.php'));
			endif; 
		?>

		<?php 
		// Conditional column container for Image Left layout - end
		if(isset($image_left ) && $image_left == true) { echo '</div>';}?>
		
	</div>
</article><!-- #post-## -->
