<?php
/**
 * Template part for displaying results in search pages
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Starter_One
 */

$post_id = get_the_ID();
$size = 'grid-image';
$attr = array(
	'src' => $src,
	'class' => "attachment-$size, post-thumbnail",
	'alt' => trim(strip_tags( $attachment->post_excerpt )),
	'title' => trim(strip_tags( $attachment->post_title )),
	);
?>

<article id="post-<?php the_ID(); ?>" <?php post_class('column is-12'); ?>>
	<div class="grid-item-content">
		<header class="entry-header">
			<?php echo get_the_post_thumbnail( $post_id, $size, $attr ); ?>
			<?php the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>

			<?php if ( 'post' === get_post_type() ) : ?>
			<div class="entry-meta">
				<?php starter_one_posted_on(); ?>
			</div><!-- .entry-meta -->
			<?php endif; ?>
		</header><!-- .entry-header -->

		<div class="entry-summary">
			<?php the_excerpt(); ?>
		</div><!-- .entry-summary -->

		<footer class="entry-footer">
			<?php starter_one_entry_footer(); ?>
		</footer><!-- .entry-footer -->
	</div>
</article><!-- #post-## -->
