<?php
/**
 * Template part for displaying posts
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Starter_One
 */

//Get Post Image
$size = 'large';
$post_img_array = custom_get_post_image($post_id , $size);
$post_img = $post_img_array[0];	
$ft_img = $post_img_array[1];	

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	
	<div class="entry-content">
	
	<?php 
	
		//If Included, display Video or Gallery instead of post image 

			if($display_video === true || $display_gallery === true){
								
				if($display_video === true){ include(locate_template('/template-parts/partials/post-video.php')); }
				
				if($display_gallery === true){ include(locate_template('/template-parts/partials/post-gallery.php')); }
				
			} else { ?>
			
				
				<?php //Post Image
					if(
						!empty($post_img ) 
						&& $ft_img === true 
						&&  'report' != get_post_type() //exclude report image
						&& get_field('single_hide_featured_img') != true //Option to hide image
					){
					
				?>
					<div class="post-thumbnail">
						<img src="<?php echo $post_img;?>">

						<?php
						//Story - display quote
						if( 'story' == get_post_type()) {
							include(locate_template('/template-parts/partials/story-quote.php'));
						}?>
				
				</div>
				
				<?php // Photo Meta
					$ft_image_credit = get_field('ft_image_credit' );
					$ft_image_link = get_field('ft_image_link' );
					
					if(!empty($ft_image_credit)){
						
						echo '<span class="photo-meta">';
						echo __('Photo by', 'starter_one').': ';
						if(!empty($ft_image_link)){ echo '<a href="'.$ft_image_link.'" target="_blank">';}
						echo $ft_image_credit;
						if(!empty($ft_image_link)){ echo '</a>';}
						echo '</span>';
						
					}
					
				 } //end is post 
				
			} ?>
		
		<?php
		
			//Content
			the_content( sprintf(
				wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'starter_one' ), array( 'span' => array( 'class' => array() ) ) ),
				the_title( '<span class="screen-reader-text">"', '"</span>', false )
			) );
			
			 // Reports  - Download Links 
			if ( 'report' === get_post_type()) :
				include(locate_template('/template-parts/partials/reports-download-links.php'));
			endif; 
		?>
	</div><!-- .entry-content -->
	
</article><!-- #post-## -->
