<?php
//News Page - Media Releases Loop 

$cat = 'media-releases';
$cat_obj = get_category_by_slug($cat);
$cat_id = $cat_obj->term_id;
?>


<div class="loop-heading latest-loop-heading border-bottom media-releases-news">
	<h2><?php echo $cat_obj->name; ?></h2>
	<a class="post-type-more" href="<?php echo get_category_link( $cat_id);?>"><?php echo __('See All','starter_one');?></a>
</div>

<div class="latest-posts-grid columns">
<?php // Latest Posts Grid

	$args = array(
		'post_type'  => 'post',
		'cat' => $cat_id  ,	
		'post_status' => 'publish',
		'posts_per_page' => 3,
		'ignore_sticky_posts' => 1,
		'numberposts' => 3,
		);

	$query = new WP_Query( $args );

	if ($query->have_posts() ) : 
		/* Start the Loop */
		$i = 0;
		
		//Set item column width
		$col = 'is-12';
		
		while ( $query->have_posts() ) : $query->the_post();
			
			$i++;
			
			//Set item layout + Excerpt Length
			if($i ==1){
				$image_left = '';
				$excerpt_length = '200';
			} else {
				$image_left = 'is-5';
				$excerpt_length = '100';
			}
			
			//Build Grid
			if($i == 1){
			?>
			<div class="column is-6 is-paddingless featured-post-column">
			<?php }
			
			if($i == 2){?>
			</div>
			<div class="column is-6 list-posts-column">
			<?php }
		
		
			include(locate_template('/template-parts/content/content-grid.php'));

			//Close Grid
			if($i == 3){?>
			
			
			<?php // CTA
				if(class_exists('acf')){
					$news_page_cta = get_field('news_page_cta', $news_pg_id);
					$news_page_cta_btn = get_field('news_page_cta_btn',$news_pg_id);
					$news_page_cta_btn_link = get_field('news_page_cta_btn_link',$news_pg_id);
					$news_page_cta_img = get_field('news_page_cta_img',$news_pg_id);
				}
				?>
				
				<div class="media-releases-cta">
				
					<div class="columns dark-bg is-marginless ">
						<div class="column is-4 level has-text-centered img-col">
							<img src="<?php echo $cta_img = wp_get_attachment_url($news_page_cta_img);?>"/>
						</div>
						<div class="column white">
							<h4><?php echo $news_page_cta;?></h4>
							<a class="btn" href="<?php echo $news_page_cta_btn_link;?>"><?php echo $news_page_cta_btn;?></a>
						</div>
					</div>

				</div><!-- .media-releases-cta-->

			</div>
			<?php }
		
		endwhile;

	else :

		get_template_part( 'template-parts/content/content', 'none' );

	endif; 
	
	
	wp_reset_postdata();
?>
</div><!-- .latest-posts-grid-->