<?php
//Multimedia  Loop 

$template_file = 'template-multimedia-archive.php';
$multimedia_page_id = custom_get_page_id_by_template($template_file);

?>

<div class="loop-heading latest-loop-heading border-bottom multimedia-news">
	<h2><?php echo __('Multimedia','starter_one'); ?></h2>
	<a class="post-type-more" href="<?php echo get_the_permalink($multimedia_page_id ); ?>"><?php echo __('See All','starter_one');?></a>
</div>

<div class="latest-posts-grid columns is-multiline">
<?php // Latest Posts Grid

	$q_post_types = array('post','story','multimedia');
	$q_categories = array('photo-essays','infographics');

	// Get posts by category
	$arg1 = array(
		'fields'         => 'ids',
		'post_type'   => 'post',
		'post_status' => 'publish',
		'posts_per_page' => 3,
		'ignore_sticky_posts' => 1,
		'numberposts' => 3,
		'tax_query' => array(
			array(
				'taxonomy' => 'category',
				'field'    => 'slug',
				'terms'    => $q_categories,
			),
		),
	);
	
	//Get posts by meta
	$arg2 = array(
		'fields'         => 'ids',
		'post_type'   => $q_post_types,
		'post_status' => 'publish',
		'posts_per_page' => 3,
		'ignore_sticky_posts' => 1,
		'numberposts' => 3,
		'meta_query' => array(
			'relation' => 'OR',
			array(
				'key' => 'post_include_video',
				'value'    => true,
				'compare'    => '=',
			),
			array(
				'key' => 'post_include_gallery',
				'value'    => true,
				'compare'    => '=',
			),
		),
	);

	//Combine Queries
	$query1 = new WP_Query($arg1);
	$query2 = new WP_Query($arg2);

	$q_post_ids = array_merge( $query1->posts, $query2->posts);

	// Create combined query, in order
	$query = new WP_Query(array(
		'post_type' => $q_post_types,
		'post__in'  => $q_post_ids, 
		'orderby'   => 'date', 
		'order'     => 'DESC',
		'posts_per_page' => 3,
		'ignore_sticky_posts' => 1,
		'numberposts' => 3,
	));

	// we also need to set post count correctly so as to enable the looping
	$query->post_count = count( $query->posts );

	if ($query->have_posts() ) : 
		/* Start the Loop */
		
		//Set item column width
		$col = 'is-12';
		
		while ( $query->have_posts() ) : $query->the_post();
			
			//Set item layout + Excerpt Length
			$excerpt_length = 'none';
			$image_left = false;
			
			//Build Grid
			?>
			
			<div class="column is-4 is-paddingless">
				<?php include(locate_template('/template-parts/content/content-grid-multimedia.php')); ?>
			</div>
			<?php 
		
		endwhile;

	else :

		get_template_part( 'template-parts/content/content', 'none' );

	endif; 
	
	
	wp_reset_postdata();
?>
</div><!-- .latest-posts-grid-->