<?php
/**
 *  Template name: Stories Page
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Starter_One
 */

get_header(); ?>

	<div id="primary" class="content-area">
		<main id="main" <?php post_class(); ?> role="main">
			
			<!-- TITLE -->
			<?php
				global $post;
				
				$pg_id = get_the_ID();

				if(class_exists('acf')){
					$default_bg = get_field('op_default_bg','option');
					$default_bg_pos = get_field('op_default_bg_pos','option');
					
					$page_bg_img = get_field('pg_bg_img');
					$page_bg_pos = get_field('pg_bg_pos');
					
					$pg_hide_overlay = get_field('pg_hide_overlay');
					$pg_hide_title = get_field('pg_hide_title');
					$pg_no_top_padding = get_field('pg_no_top_padding');
					$pg_no_bottom_padding = get_field('pg_no_bottom_padding');

					$pg_display_title = get_field('pg_display_title');
					$pg_title_tagline = get_field('pg_title_tagline'	);
					
					$multimedia_section_bg = get_field('multimedia_section_bg_img');
					$mm_section_bg = wp_get_attachment_image_src( $multimedia_section_bg, 'large' );
				}
				//Title Image
				if ($page_bg_img){
					$bgimg = $page_bg_img;
					$bgimg_pos = $page_bg_pos;
				}else{
					$bgimg = $default_bg;
					$bgimg_pos = $default_bg_pos;
				}
				
				$inline_bg_style = 'background-image:url('.$bgimg.')!important; background-position: center '.$bgimg_pos.'%!important;';
				
				$parent_page = $post->post_parent;
				if($parent_page && $post->id != $parent_page){
					$breadcrumb_url = get_the_permalink($parent_page);
					$breadcrumb_name = get_the_title($parent_page);
				}
				
				$title = get_the_title();
			
				?>

			<div class="title-wrap wrapper level <?php if($pg_hide_overlay){echo ' no-overlay ';}?>" style="<?php if($pg_hide_title == true){ echo 'display:none!important; '; }else{ if($bgimg){echo  $inline_bg_style;}}
			if($pg_sm_title == true){ echo 'min-height:0!important;';}?>">

				<div class="grid-container container columns">
					<?php //Get Titles
						include(locate_template('/template-parts/content/title.php'));
					?>
				</div><!-- .grid-container-->
			</div><!-- .wrapper -->


			<!-- CONTENT -->
			<div class="content-wrap wrapper <?php if($pg_hide_title){ echo 'no-title-padding-top ';} if($pg_no_top_padding){ echo 'no-top-padding ';} if($pg_no_bottom_padding){ echo 'no-bottom-padding ';}?>">
			
				<div class="grid-container container columns">
					
					<div class="main-content column">

						<?php // Page Content
						while ( have_posts() ) : the_post();
							get_template_part( 'template-parts/content/content', 'page'); 
						endwhile; 
						
						//Stories Loop
						include(locate_template('/template-parts/loops/loop-stories-stories.php'));
						
						// Stories CTA
						include(locate_template( 'template-parts/partials/stories-cta.php' ));
						?>
				
					</div><!-- .main-content-->

				</div><!-- .grid-container-->
			</div><!-- .wrapper -->


		</main><!-- #main -->
	</div><!-- #primary -->

<?php
get_footer();
