<?php
/*****************

 CONTENTS:       
--------------      
1. Shortcodes       
2. VC Maps    
     
****************/                         

// 1. SHORTCODES:

// Anchor Link
add_shortcode('anchor_link', 'anchor_link_shortcode');
function anchor_link_shortcode($atts){
	 
	$atts = shortcode_atts(array(
                "link_id" => '',
				"vertical_offset" => '-100',
				"el_class" => '',
         ), $atts);

	$content = '
	<a id="'.$atts['link_id'].'" class="anchor anchor-link'.$atts['el_class'].'" style="top:'.$atts['vertical_offset'].'px;"></a>';

	return $content;
	
}

//  Fluid Image
add_shortcode('fluid_image', 'fluid_image_shortcode');
function fluid_image_shortcode($atts){
	 
	$atts = shortcode_atts(array(
                "fluid_img_id" => '',
				"el_class" => '',
				"fluid_img_vpos" => '',
				"fluid_img_hpos" => '',
				"fluid_img_height" => '400'
         ), $atts);
	$fluid_img_url = esc_attr(wp_get_attachment_url($atts['fluid_img_id'], 'large'));
	$content = '
	<div class="fluid-img-container '.$atts['el_class'].'" style="height:'.$atts['fluid_img_height'].'px; width:100%;">
		<div class="fluid-img" style="background-image:url('. $fluid_img_url.'); background-position:'.$atts['fluid_img_hpos'].' '.$atts['fluid_img_vpos'].'; height:100%; width:100%;">
		</div>
	</div>';

	return $content;
	
}

//  Text with Icon/Image
add_shortcode('text_with_icon', 'text_with_icon_shortcode');
function text_with_icon_shortcode($atts, $content){
	 
	$atts = shortcode_atts(array(
                "img_id" => '',
				"el_class" => '',
				"img_width" => 'auto',
				"img_pos" => 'top',
				"img_size" => 'thumbnail',
				"spacing" => 'normal',
				"text_margin" => 'normal'
         ), $atts);
	 
	$atts['content'] = wpb_js_remove_wpautop($content, true);
	$img_url = esc_attr(wp_get_attachment_url($atts['img_id'], $atts['img_size']));
	
	if($atts['img_pos'] == 'center') {
		$level = 'level';
	}
	
	if($atts['spacing'] == 'yes') {
		$reduce_spacing = 'reduce-spacing';
	}
		
	if($atts['text_margin'] == 'yes') {
		$remove_margin = 'remove-text-margin';
	}

	
	$output = '
	<div class="text-icon-container columns '.$atts['el_class'].'"  width:100%;">
		<div class="column is-narrow icon-column '.$level.' '.$reduce_spacing.'"><img src="'.$img_url .'" width="'.$atts['img_width'].'" height="auto"></div>
		<div class="column text-column '.$level.'  '.$remove_margin.'"><div class="inner">'.  $atts['content'] .'</div></div>
	</div>';

	return $output;
	
}


// Our Social Links
add_shortcode('our_social_links', 'our_social_links_shortcode');
function our_social_links_shortcode($atts){
	 
	 $atts = shortcode_atts(array(
                "alignment" => '',
				"icon_size" => 'regular',
				"color" => 'dark',
				'el_class' => ''
         ), $atts);
		 
		 $alignment = $atts['alignment'];
		 $icon_size = $atts['icon_size'];
		 $color = $atts['color'];
		 $el_class = $atts['el_class'];
		 
		 ob_start();
		include(locate_template('/template-parts/partials/social-links.php'));
		return ob_get_clean();

}


// People
add_shortcode('cec_people', 'cec_people_shortcode');
function cec_people_shortcode($atts){
	 
	 $atts = shortcode_atts(array(
			"role" => 'all',
			"numberposts" => -1,
			"columns" => '5',
			"display" => 'grid',
			'el_class' => ''
         ), $atts);

	 $people_role = $atts['role'];
	 $numberposts = $atts['numberposts'];
	 $columns = $atts['columns'];
	 $display = $atts['display'];
	
	//Define column widths
	if( $columns == '1'){$col = 'is-12';}
	if( $columns == '2'){$col = 'is-6';}
	if( $columns == '3'){$col = 'is-4';}
	if( $columns == '4'){$col = 'is-3';}
	if( $columns == '5'){$col = 'is-one-fifth';}
	if( $columns == '6'){$col = 'is-2';}

	
	ob_start();
	include(locate_template('/template-parts/loops/loop-people.php'));
	return ob_get_clean();
}


// MailChimp Loop
add_shortcode('cec_mailchimp_loop', 'cec_mailchimp_loop');
function cec_mailchimp_loop($atts){
	
	 $atts = shortcode_atts(array(
			'el_class' => ''
	 ), $atts);
	 
	 $el_class = $atts['el_class'];
		 
	ob_start();
	include(locate_template('/template-parts/loops/loop-mailchimp.php'));
	return ob_get_clean();
}


// Completed Solar Now Installations Slider
add_shortcode('cec_solar_now_slider', 'cec_solar_now_slider');
function cec_solar_now_slider($atts){
	
		 $atts = shortcode_atts(array(
				'el_class' => ''
         ), $atts);
		 
		 $el_class = $atts['el_class'];
		 
	ob_start();
	include(locate_template('/vc_extend/elements/solar-now-slider.php'));
	return ob_get_clean();
}


// 2. VC MAP SHORTCODES
add_action( 'vc_before_init', 'custom_shortcode_mapVC' );
function custom_shortcode_mapVC() {

 
	// Fluid Image VC Map
  	vc_map( array(
		"name" => __( "Fluid Image", "starter_one" ),
		"base" => "fluid_image",
		
		"icon" => get_stylesheet_directory_uri() . "/vc_extend/fluid-img.png",
		"category" => __( "Custom", "starter_one"),
		"admin_enqueue_css" => array(get_stylesheet_directory_uri().'/vc_extend/vc-extend.css'),
		"front_enqueue_css" => array(get_stylesheet_directory_uri().'/vc_extend/vc-extend-frontend.css'),
		"params" => array(
			 array(
			   "type" => "attach_image",
			   "holder" => "img",
				"heading"     => esc_html__( "Fluid Image", "starter_one" ),
				"description" => esc_html__( "Add Image", "starter_one" ),
				"param_name"  => "fluid_img_id",
				"value"  => ""
					 ),
			 array(
            "type" => "textfield",	
            "holder" => "div",
            "class" => "",
            "heading" => __( "Image Height", "starter_one" ),
            "param_name" => "fluid_img_height",
            "value" => __( "", "starter_one" ),
            "description" => __( "Enter image height in pixels. Example: 200  <br>(Image width is 100%)", "starter_one" )
			),
			 array(
            "type" => "dropdown",	
            "holder" => "div",
            "class" => "",
            "heading" => __( "Vertical Image Position", "starter_one" ),
            "param_name" => "fluid_img_vpos",
             "value"       => array(
				'top'   => 'top',
				'10'   => '10%',
				'20' => '20%',
				'30'  => '30%',
				'40'  => '40%',
				'center'  => 'center',
				'60'  => '60%',
				'70'  => '70%',
				'80'  => '80%',
				'90'  => '90%',
				'bottom'  => 'bottom'
			  ),
            "description" => __( "Set vertical image position to best feature the image content", "starter_one" )
			),
			array(
            "type" => "dropdown",	
            "holder" => "div",
            "class" => "",
            "heading" => __( "Horizontal Image Position", "starter_one" ),
            "param_name" => "fluid_img_hpos",
             "value"       => array(
				'left'  => 'left',
				'10'   => '10%',
				'20' => '20%',
				'30'  => '30%',
				'40'  => '40%',
				'center'  => 'center',
				'60'  => '60%',
				'70'  => '70%',
				'80'  => '80%',
				'90'  => '90%',
				'right'  => 'right'
			  ),
            "description" => __( "Set horizontal image position to best feature the image content. 0% = Left, 100% = Right", "starter_one" )
			),
			 array(
            "type" => "textfield",
            "holder" => "div",
            "class" => "",
            "heading" => __( "Custom CSS Class", "starter_one" ),
            "param_name" => "el_class",
            "value" => __( "", "starter_one" ),
            "description" => __( "Enter CSS Classname", "starter_one" )
			)
		)
	) );
	
	// Text with Icon/Image VC Map
  	vc_map( array(
		"name" => __( "Text with Icon / Image Left", "starter_one" ),
		"base" => "text_with_icon",
		
		"icon" => get_stylesheet_directory_uri() . "/vc_extend/fluid-img.png",
		"category" => __( "Custom", "starter_one"),
		"admin_enqueue_css" => array(get_stylesheet_directory_uri().'/vc_extend/vc-extend.css'),
		"front_enqueue_css" => array(get_stylesheet_directory_uri().'/vc_extend/vc-extend-frontend.css'),
		"params" => array(
			 array(
			   "type" => "attach_image",
			   "holder" => "img",
				"heading"     => esc_html__( "Icon / Image", "starter_one" ),
				"description" => esc_html__( "Add Image", "starter_one" ),
				"param_name"  => "img_id",
				"value"  => ""
			),
			array(
            "type" => "textfield",	
            "holder" => "div",
            "class" => "",
            "heading" => __( "Image Size to Fetch", "starter_one" ),
            "param_name" => "img_size",
            "value" => __( "", "starter_one" ),
            "description" => __( "Enter one of the following (listed from largest to smallest): full, large, grid-image, grid-image-crop,  medium, thumbnail", "starter_one" )
			),
			 array(
            "type" => "textfield",	
            "holder" => "div",
            "class" => "",
            "heading" => __( "Image Width", "starter_one" ),
            "param_name" => "img_width",
            "value" => __( "", "starter_one" ),
            "description" => __( "Enter image height in pixels. Example: 50  <br>(Image height is auto)", "starter_one" )
			),
			array(
			  "type" => "textarea_html",
			  "class" => "",
			  "heading" => __( "Text", "starter_one" ),
			  "param_name" => "content",
			  "value" => __( "", "starter_one" ),
			  "description" => __( "Enter content.", "starter_one" )
			),
			array(
            "type" => "dropdown",	
            "holder" => "div",
            "class" => "",
            "heading" => __( "Icon Position", "starter_one" ),
            "param_name" => "img_pos",
             "value"       => array(
				'top'  => 'top',
				'center'  => 'center',
			  ),
            "description" => __( "Set image position: Align with the top  or center of the text content", "starter_one" )
			),
			array(
            "type" => "checkbox",	
            "holder" => "div",
            "class" => "",
            "heading" => __( "Reduce space between icon and text?", "starter_one" ),
            "param_name" => "spacing",
             "value"       => array(
				'yes'  => 'yes',
			  ),
            "description" => __( "Check box to reduce the gap between the icon and the text", "starter_one" )
			),
			array(
            "type" => "checkbox",	
            "holder" => "div",
            "class" => "",
            "heading" => __( "Remove space below text?", "starter_one" ),
            "param_name" => "text_margin",
             "value"       => array(
				'yes'  => 'yes',
			  ),
            "description" => __( "Check box to reduce the gap between the icon and the text", "starter_one" )
			),
			 array(
            "type" => "textfield",
            "holder" => "div",
            "class" => "",
            "heading" => __( "Custom CSS Class", "starter_one" ),
            "param_name" => "el_class",
            "value" => __( "", "starter_one" ),
            "description" => __( "Enter CSS Classname", "starter_one" )
			)
		)
	) );
	
	// Anchor Link
  	vc_map( array(
		"name" => __( "Anchor Link", "starter_one" ),
		"base" => "anchor_link",
		
		"icon" => get_stylesheet_directory_uri() . "/vc_extend/hash.png",
		"category" => __( "Custom", "starter_one"),
		"admin_enqueue_css" => array(get_stylesheet_directory_uri().'/vc_extend/vc-extend.css'),
		"front_enqueue_css" => array(get_stylesheet_directory_uri().'/vc_extend/vc-extend-frontend.css'),
		"params" => array(
			 array(
            "type" => "textfield",	
            "holder" => "div",
            "class" => "",
            "heading" => __( "Link ID", "starter_one" ),
            "param_name" => "link_id",
            "value" => __( "", "starter_one" ),
            "description" => __( "Enter the name of the link id. Example: if menu link is #mylink, enter \"mylink\".", "starter_one" )
			),
			array(
            "type" => "textfield",	
            "holder" => "div",
            "class" => "-100",
            "heading" => __( "Vertical Offset", "starter_one" ),
            "param_name" => "vertical_offset",
            "value" => __( "", "starter_one" ),
            "description" => __( "Enter the vertical offset in pixels. Example: -200", "starter_one" )
			),
			 array(
            "type" => "textfield",
            "holder" => "div",
            "class" => "",
            "heading" => __( "Custom CSS Class", "starter_one" ),
            "param_name" => "el_class",
            "value" => __( "", "starter_one" ),
            "description" => __( "Enter CSS Classname", "starter_one" )
			)
		)
	) );
	
	
	
   // Social Links
  	vc_map( array(
		"name" => __( "Our Social Links", "starter_one" ),
		"base" => "our_social_links",
		
		"description" => "Set in Theme Options",
		"icon" => get_stylesheet_directory_uri() . "/vc_extend/our-social-links.png",
		"category" => __( "Custom", "starter_one"),
		"admin_enqueue_css" => array(get_stylesheet_directory_uri().'/vc_extend/vc-extend.css'),
		"front_enqueue_css" => array(get_stylesheet_directory_uri().'/vc_extend/vc-extend-frontend.css'),
		"params" => array(
		
			array(
            "type" => "dropdown",	
            "holder" => "div",
            "class" => "",
            "heading" => __( "Alignment", "starter_one" ),
            "param_name" => "alignment",
             "value"       => array(
				'Left'   => 'left',
				'Center'  => 'center',
				'Right'  => 'right'
			  ),
            "description" => __( "Align icons", "starter_one" )
			),
			array(
            "type" => "dropdown",	
            "holder" => "div",
            "class" => "",
            "heading" => __( "Icon Size", "starter_one" ),
            "param_name" => "icon_size",
             "value"       => array(
				'Regular'   => 'regular',
				'Large'  => 'large',
				'X-Large'  => 'x-large'
			  ),
            "description" => __( "Size icons", "starter_one" )
			),
			array(
            "type" => "dropdown",	
            "holder" => "div",
            "class" => "",
            "heading" => __( "Icon Color", "starter_one" ),
            "param_name" => "color",
             "value"       => array(
				'Dark'  => 'dark',
				'Light'   => 'light',
			  ),
            "description" => __( "Select icon color", "starter_one" )
			),
			array(
            "type" => "textfield",
            "holder" => "div",
            "class" => "",
            "heading" => __( "Custom CSS Class", "starter_one" ),
            "param_name" => "el_class",
            "value" => __( "", "starter_one" ),
            "description" => __( "Enter CSS Classname", "starter_one" )
			)
		)
	) );
	
	
	 // People VC Map
	
  	vc_map( array(
		"name" => __( "People", "starter_one" ),
		"base" => "cec_people",
		
		"description" => "Display People by Role",
		"icon" => get_stylesheet_directory_uri() . "/vc_extend/our-social-links.png",
		"category" => __( "Custom", "starter_one"),
		"admin_enqueue_css" => array(get_stylesheet_directory_uri().'/vc_extend/vc-extend.css'),
		"front_enqueue_css" => array(get_stylesheet_directory_uri().'/vc_extend/vc-extend-frontend.css'),
		"params" => array(
		array(
			  "type"        => "dropdown",
			  "heading"     => __("Select Role(s)"),
			  "param_name"  => "role",
			  "admin_label" => true,
				"value"       => array(
				'All'   => 'all',
				'Advisor'  => 'advisor',
				'Contributor'  => 'contributor',
				'Team'  => 'team',
			  ),
			  "std"  => " ",
			  "description" => __("Select Role to display")
			 ),
			 array(
			  "type"        => "dropdown",
			  "heading"     => __("Display Grid (with images) or List (no images)?"),
			  "param_name"  => "display",
			  "admin_label" => true,
				"value"       => array(
				'Grid'   => 'grid',
				'List'  => 'list',
			  ),
			  "std"  => " ",
			  "description" => __("Select how people will be displayed")
			 ),
			array(
            "type" => "dropdown",	
            "holder" => "div",
            "class" => "",
            "heading" => __( "Number of Columns (Grid: People Per Row / List: Columns)", "starter_one" ),
            "param_name" => "columns",
             "value"       => array(
				'1'   => '1',
				'2'  => '2',
				'3'  => '3',
				'4'  => '4',
				'5'  => '5',
				'6'  => '6',
			  )
			),
			 array(
            "type" => "textfield",
            "holder" => "div",
            "class" => "",
            "heading" => __( "Custom CSS Class", "starter_one" ),
            "param_name" => "el_class",
            "value" => __( "", "starter_one" ),
            "description" => __( "Enter CSS Classname", "starter_one" )
			)
		)
	) );
	

	 // CEC MailChimp Loop
  	vc_map( array(
		"name" => __( "Clean Energy Review Posts", "starter_one" ),
		"base" => "cec_mailchimp_loop",
		
		"description" => "Display MailChimp Posts",
		"icon" => get_stylesheet_directory_uri() . "/vc_extend/newspaper.png",
		"category" => __( "Custom", "starter_one"),
		"admin_enqueue_css" => array(get_stylesheet_directory_uri().'/vc_extend/vc-extend.css'),
		"front_enqueue_css" => array(get_stylesheet_directory_uri().'/vc_extend/vc-extend-frontend.css'),
		"params" => array(
			 array(
            "type" => "textfield",
            "holder" => "div",
            "class" => "",
            "heading" => __( "Custom CSS Class", "starter_one" ),
            "param_name" => "el_class",
            "value" => __( "", "starter_one" ),
            "description" => __( "Enter CSS Classname", "starter_one" )
			)
		)
	) );
	
	
	 // Completed Solar Now Installations SLIDER
  	vc_map( array(
		"name" => __( "Completed Solar Now Installations Slider", "starter_one" ),
		"base" => "cec_solar_now_slider",
		"description" => "Display Completed Solar Now Installation Posts in an interactive slider",
		"icon" => get_stylesheet_directory_uri() . "/vc_extend/solar-panel.png",
		"category" => __( "Custom", "starter_one"),
		"admin_enqueue_css" => array(get_stylesheet_directory_uri().'/vc_extend/vc-extend.css'),
		"front_enqueue_css" => array(get_stylesheet_directory_uri().'/vc_extend/vc-extend-frontend.css'),
		"params" => array(
			 array(
            "type" => "textfield",
            "holder" => "div",
            "class" => "",
            "heading" => __( "Custom CSS Class", "starter_one" ),
            "param_name" => "el_class",
            "value" => __( "", "starter_one" ),
            "description" => __( "Enter CSS Classname", "starter_one" )
			)
		)
	) );
  
	}